Subject: mboned: Current status of draft-ietf-mboned-msdp-deploy-06 + several questions

From: Dave Price <[email-masked]>
Date: Thu, 26 Jan 2006 19:32:20 +0000

Dear All,

	I hope this email is "acceptable" in terms
of traffic to this mailing list, if not, I'd appreciate it
if I could be directed to a more appropriate list.

	Could someone please clarify the status of the
above mentioned ID.  From what I can see, it appears
to be in "RFC Ed Queue" and seems to have been so since
August 2004.  Is it likely to progress to RFC
in the near future?

	Can I also ask some questions about it.

I'm (mostly) interested in situations where BGP is not being used,
and where perhaps routers are using various older versions
of MSDP.

I'm looking at section 2.3 (i.e. BGP not used).

I can see and understand its explanation of how the
customer/enterprise RP allows SA announcements 
that arrive from the provider's RP to pass RPF checks etc.

[For instance if it had a single MSDP peering, namely
with the providers RP etc]

What I don't see though is text to explain
how any SAs arriving from the enterprise's
RP at the providers RP would pass RPF.

From what I can see, the providers RP might easily be in
a mesh group with other RPs owned by the provider and might
also be in MSDP peerings with other upstream providers etc.

The MSDP peering is thus clearly not the only one, it presumably
would not be the default peer, there is not a mesh group
between them.

Does it pass because the SA has originated directly
by the customer's RP and is thus considered
to pass because of the "The originating RP
is directly connected" rule?

If that's the case, what would happen if the customer
had a set of RPs internal to its network, perhaps
using AnycastRP and being in a mesh group, and then just
one of them peered with the provider RP.  How would
that pass?  The SA might originate from one of the
internal RPs not the one directly peering with the providers RP.

Perhaps the customer has downstream "departmental" RPs that it also
peers with.  How would the existence of the downstream
ones effect things for RPFs etc

How does all the above change if the MSDP in use is RFC3618 compliant
or on the other hand, is older than that...

Final question, is there a repository anywhere of "typical network scenarios"
and matching configs for common manufacturers routers etc that might help
me answer such questions.

Thanks for reading and thanks in advance for
any advice/answers etc.

Dave Price
	---------------------------------------------------------
	| David Price, Computer Science				|
	|							|
	|  Computer Science, University of Wales, Aberystwyth,	|
	|  Penglais Campus, Aberystwyth, Ceredigion, SY23 3DB	|
	|                                                       |
	| Email: [email-masked] WWW: http://www.aber.ac.uk/~dap |
	|  Phone: +44 1970 622428   FAX: +44 1970 622455	|
	---------------------------------------------------------

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/